Package com.google.cloud.spanner.jdbc

# Class JdbcSqlExceptionFactory.JdbcSqlFeatureNotSupportedException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.sql.SQLException
java.sql.SQLNonTransientException
java.sql.SQLFeatureNotSupportedException
com.google.cloud.spanner.jdbc.JdbcSqlExceptionFactory.JdbcSqlFeatureNotSupportedException

All Implemented Interfaces:
  `JdbcSqlException`, `Serializable`, `Iterable<Throwable>`

Enclosing class:
  JdbcSqlExceptionFactory

public static class JdbcSqlExceptionFactory.JdbcSqlFeatureNotSupportedException extends SQLFeatureNotSupportedException implements JdbcSqlException
Specific `SQLException` that is thrown for unsupported methods and values

See Also:
  - Serialized Form

## Method Summary

Modifier and Type
Method
Description
`com.google.rpc.Code`
`getCode()`
Returns the corresponding gRPC code for this exception

### Methods inherited from class java.sql.SQLException

`getErrorCode, getNextException, getSQLState, iterator, setNextException`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Methods inherited from interface com.google.cloud.spanner.jdbc.JdbcSqlException

`getCause, getErrorCode, getMessage, getSQLState`

## Method Details

### getCode

public com.google.rpc.Code getCode()
Description copied from interface: `JdbcSqlException`
Returns the corresponding gRPC code for this exception

Specified by:
  `getCode` in interface `JdbcSqlException`